Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2464)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2466)
@@ -620,5 +620,5 @@
         dsc['current_verdict'] = verdict
         dsc['current_mode'] = em
-        dsc['current_session'] = '06'
+        dsc['current_session'] = '05'
         studycourse.getContent().edit(mapping=dsc)
         #
Index: WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2466)
@@ -64,15 +64,12 @@
 info['next_session'] = next_info['next_session_id']
 info['next_session_str'] = next_info['next_session_str']
-info['payment_method'] = "done"
-if next_info['next_transition'] is None and next_info['reasons']:
-    info['payment_method'] = "not_possible"
-    info['reasons'] = next_info['reasons']
-elif review_state == 'cleared_and_validated':
+info['payment_method'] = ""
+info['reasons'] = next_info['reasons']
+
+if review_state == 'cleared_and_validated':
     info['payment_method'] = "online_payment"
 elif review_state == 'returning' and info['next_session'] != session:
     info['payment_method'] = "sc_payment"
-
 info['prod_id'] = '61'
-
 
 info['student_name'] = s_brain.name
Index: WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt	(revision 2466)
@@ -75,11 +75,7 @@
                    />
           </form>          
-          <div tal:condition="python: info.get('payment_method') == 'not_possible'">
-            You are not able to pay your schoolfee because: <br />
-            <ul>
-              <span tal:repeat="reason info/reasons" tal:omit-tag="">
-                <li tal:content="reason" />
-              </span>
-            </ul>
+          <div tal:condition="info/reasons">
+            <font color="red" tal:content="info/reasons"></font>
+            <br /><br />
           </div>
         </div>        
Index: WAeUP_SRP/base/skins/waeup_student/getNextInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getNextInfo.py	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_student/getNextInfo.py	(revision 2466)
@@ -20,28 +20,34 @@
 info = {}
 
+reasons = ''
+
 session_id = student_brain.session
 level_id = student_brain.level
 review_state = student_brain.review_state
 verdict = student_brain.verdict
+
+has_verdict = verdict and verdict != 'N/A'
+has_session = session_id and session_id != 'N/A'
+has_level = level_id and level_id != 'N/A'
+
 info['next_transition'] = None
 info['next_session_id'] = next_session_id = session_id
 info['next_level_id'] = next_level_id = level_id
-reasons = []
 verdicts_voc = context.portal_vocabularies.verdicts
 if review_state == 'cleared_and_validated':
     info['next_transition'] = "pay_school_fee"
-elif review_state == 'returning' and verdict and level_id and student_brain.session:
+elif review_state == 'returning' and has_verdict and has_level and has_session:
+    info['next_session_id'] = next_session_id = "%02d" % (int(session_id)+1)
     if int(session_id) > int(context.getSessionId()[0]) -2:
-        if verdict not in ('A','B',):
+        info['next_transition'] = "pay_school_fee"
+        if verdict in ('A','B',):
+            info['next_level_id'] = "%s" % (int(level_id) + 100)
+        else:
             info['next_level_id'] = level_id
-            if not verdict:
-                reasons += "There is no verdict.",
-            else:
-                reasons += "Your are not a %s" % verdicts_voc.get('A'),
-                reasons += "or not a %s" % verdicts_voc.get('B'),
-        else:
-            info['next_level_id'] = "%s" % (int(level_id) + 100)
-            info['next_session_id'] = next_session_id = "%02d" % (int(session_id)+1)
-            info['next_transition'] = "pay_school_fee"
+    else:
+        info['next_level_id'] = "%s" % (int(level_id) + 100)
+elif not (has_session and has_level and has_verdict):
+    reasons = "Your data record is incomplete. School fee payment has been disabled, please contact your faculty!"
+
 info['reasons'] = reasons
 info['next_session_str'] = context.sessions_voc(next_session_id)
Index: WAeUP_SRP/base/skins/waeup_student/getSessionResults.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getSessionResults.py	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_student/getSessionResults.py	(revision 2466)
@@ -56,5 +56,5 @@
     res = results(matric_no = matric_no)
     results = res
-else: 
+else:
     results = []
 
@@ -67,8 +67,11 @@
 course_count = 0
 session = None
+level = None
 
 for r in results:
     if session is None:
         session = r.Session
+    if level is None:
+        level = r.Level        
     result = {}
     for field in fields:
@@ -110,18 +113,12 @@
     info['verdict'] = verdict = 'N/A'
 
-if student_from_cat.level:
-    if student_from_cat.sex:
-        info['sex'] = 'F'
-    else:
-        info['sex'] = 'M'
-    if verdict in ('A','B'):
-        info['level'] = int(student_from_cat.level)-100
-    else:
-        info['level'] = int(student_from_cat.level)
+if session:
+    info['session'] = session
 else:
-    info['sex'] = 'N/A'
+    info['session'] = 'N/A'
+if level:
+    info['level'] = level
+else:
     info['level'] = 'N/A'
-
-info['session'] = session
 info['gpa'] = gpa
 info['results'] = (sem1, sem2)
Index: WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2466)
@@ -17,4 +17,6 @@
 if mtool.isAnonymousUser():
     return None
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
 
 try:
@@ -92,5 +94,5 @@
 if context.objectIds():
     course_results.moveResultsHere(context,student_id)
-    logger.info("%s moved courseresults and deleted objects in level %s" % (student_id,level_id))
+    logger.info("%s initiated moveResultsHere for %s in level %s" % (member_id,student_id,level_id))
 credits_total,carry_overs,normal = course_results.getCourses(student_id,level_id)
 info['credits_total'] = credits_total
Index: WAeUP_SRP/base/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/session_results_anon_view.pt	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_student/session_results_anon_view.pt	(revision 2466)
@@ -12,7 +12,4 @@
         <tr>
           <th width="150px">Matriculation Number:</th><td tal:content="student/matric_no" />                     
-        </tr>
-        <tr>
-          <th>Sex:</th><td tal:content="student/Sex" />                     
         </tr>
         <tr>
Index: WAeUP_SRP/base/skins/waeup_student/session_results_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/session_results_view.pt	(revision 2464)
+++ WAeUP_SRP/base/skins/waeup_student/session_results_view.pt	(revision 2466)
@@ -26,10 +26,4 @@
         <tr>
           <th width="150px">Matriculation Number:</th><td tal:content="info/student/matric_no" />                     
-        </tr>
-        <tr>
-          <th>Sex:</th><td tal:content="info/sex" />                     
-        </tr>
-        <tr>
-          <th valign="top">Course of Study:</th><td tal:content="info/student/course" />                     
         </tr>
         <tr>