Index: WAeUP_SRP/uniben/profiles/default/course_results.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/course_results.xml	(revision 2480)
+++ WAeUP_SRP/uniben/profiles/default/course_results.xml	(revision 2481)
@@ -6,7 +6,6 @@
  <column value="carry_over"/>
  <column value="core_or_elective"/>
+ <column value="student_id"/>
  <column value="credits"/>
- <column value="grade"/>
- <column value="student_id"/>
  <column value="level_id"/>
  <column value="session_id"/>
@@ -29,6 +28,3 @@
   <indexed_attr value="session_id"/>
  </index>
- <index name="carry_over" meta_type="FieldIndex">
-  <indexed_attr value="carry_over"/>
- </index> 
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2480)
+++ WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2481)
@@ -17,4 +17,5 @@
   <object name="course" meta_type="CPS Layout"/>
   <object name="import_course" meta_type="CPS Layout"/>
+  <object name="import_course_result" meta_type="CPS Layout"/>
   <object name="import_department" meta_type="CPS Layout"/>
   <object name="department" meta_type="CPS Layout"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml	(revision 2481)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml	(revision 2481)
@@ -0,0 +1,155 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="course" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+  <widget name="student_id" meta_type="String Widget">
+    <property name="title">Student Id</property>
+    <property name="fields">
+      <element value="student_id"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">Student Id</property>
+    <property name="label_edit">Student Id</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">8</property>
+  </widget>
+  
+  <widget name="matric_no" meta_type="String Widget">
+    <property name="title">MatricNo</property>
+    <property name="fields">
+      <element value="matric_no"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">MatricNo</property>
+    <property name="label_edit">MatricNo</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">12</property>
+  </widget>
+  
+  <widget name="code" meta_type="String Widget">
+    <property name="title">Course Id</property>
+    <property name="fields">
+      <element value="code"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Course Id</property>
+    <property name="label_edit">Course Id</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">8</property>
+  </widget>
+  
+  <widget name="level_id" meta_type="Select Widget">
+    <property name="title">Level</property>
+    <property name="fields">
+      <element value="level_id"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Level</property>
+    <property name="label_edit">Level</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">levels</property>
+  </widget>
+
+  <widget name="session_id" meta_type="Select Widget">
+    <property name="title">session</property>
+    <property name="fields">
+      <element value="session_id"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">session</property>
+    <property name="label_edit">session</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">sessions</property>
+  </widget>
+
+  <widget name="core_or_elective" meta_type="Boolean Widget">
+    <property name="title">Core or Elective</property>
+    <property name="fields">
+      <element value="core_or_elective"/>
+    </property>
+    <property name="label">Core or Elective</property>
+    <property name="label_edit">Core or Elective</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="label_false">elective</property>
+    <property name="label_true">core</property>
+  </widget>
+
+  <widget name="carry_over" meta_type="Boolean Widget">
+    <property name="title">carry over</property>
+    <property name="fields">
+      <element value="carry_over"/>
+    </property>
+    <property name="label">carry over</property>
+    <property name="label_edit">carry over</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="label_false">False</property>
+    <property name="label_true">True</property>
+  </widget>
+
+  <widget name="semester" meta_type="Int Widget">
+    <property name="title">Semester</property>
+    <property name="fields">
+      <element value="semester"/>
+    </property>
+    <property name="label">Semester</property>
+    <property name="label_edit">Semester</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  
+  <widget name="score" meta_type="Int Widget">
+    <property name="title">Score</property>
+    <property name="fields">
+      <element value="score"/>
+    </property>
+    <property name="label">Score</property>
+    <property name="label_edit">Score</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+
+  <widget name="grade" meta_type="Select Widget">
+    <property name="title">Grade</property>
+    <property name="fields">
+      <element value="grade"/>
+    </property>
+    <property name="label">Grade</property>
+    <property name="label_edit">Grade</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+
+  <table>
+ </table>
+</object>
+
Index: WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2480)
+++ WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2481)
@@ -13,4 +13,5 @@
  <object name="import_certificate_course" meta_type="CPS Schema"/>
  <object name="import_course" meta_type="CPS Schema"/>
+ <object name="import_course_result" meta_type="CPS Schema"/>
  <object name="course" meta_type="CPS Schema"/>
  <object name="import_department" meta_type="CPS Schema"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_course_result.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_course_result.xml	(revision 2481)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_course_result.xml	(revision 2481)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="course_result" meta_type="CPS Schema">
+ <field name="student_id" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="code" meta_type="CPS String Field"/>
+ <field name="session_id" meta_type="CPS String Field"/>
+ <field name="level_id" meta_type="CPS String Field"/>
+ <field name="credits" meta_type="CPS Int Field"/>
+ <field name="score" meta_type="CPS String Field"/>
+ <field name="grade" meta_type="CPS String Field"/>
+ <field name="carry_over" meta_type="CPS Boolean Field"/>
+ <field name="core_or_elective" meta_type="CPS Boolean Field"/>
+ <field name="semester" meta_type="CPS Int Field"/>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2480)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2481)
@@ -10,4 +10,5 @@
  <item key="department" msgid="">Department Data</item>
  <item key="course" msgid="">Course Data</item>
+ <item key="course_result" msgid="">Course Result Data</item>
  <item key="certificate" msgid="">Certificate Data</item>
  <item key="certificate_course" msgid="">Certificate Course Data</item>