Index: WAeUP_SRP/base/skins/cps_custom/logged_in.py
===================================================================
--- WAeUP_SRP/base/skins/cps_custom/logged_in.py	(revision 2488)
+++ WAeUP_SRP/base/skins/cps_custom/logged_in.py	(revision 2489)
@@ -231,9 +231,11 @@
                     lnr = context.getLevelFromResultsCosCode(has_results)
                     dsc['current_level'] = "%d00" % lnr
-                elif not has_level and s_review_state == 'school_fee_paid':
+                elif not has_level and s_review_state == 'school_fee_paid':	
                     lnr = context.getLevelFromResultsCosCode(has_results)
-                    if dsc['current_verdict'] in ('A','B',):
+                    cv = context.getVerdict(has_results[0].Verdict)[0]
+                    if cv in ('A','B',):
                         lnr += 1
                     dsc['current_level'] = "%d00" % lnr
+                    dsc['previous_verdict'] = cv
                 if sc_review_state != 'opened':
                     wftool.doActionFor(study_course,'open')
Index: WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2488)
+++ WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2489)
@@ -60,12 +60,12 @@
           <h4>Carryover Courses</h4>
           <br />
-          <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+          <table class="contentListing" width="100%" summary="content layout" id="folder_content">
             <tr tal:repeat="row info/carry_overs"
                 tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="78%" tal:content="row/title"></td>
-              <td width="10%" tal:content="row/code"></td>
-              <td width="2%">S<span tal:content="row/semester" /></td>
-              <td width="2%" tal:content="row/credits"></td>
-              <td width="8%" tal:content="row/grade|string:"></td>
+              <td width="72%" tal:content="row/title"></td>
+              <td align="center" width="10%" tal:content="row/code"></td>
+              <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+              <td align="center" width="2%" tal:content="row/credits"></td>
+              <td align="center" width="14%"> <span tal:content="row/coe|nothing" /></td>
             </tr>
           </table>
@@ -76,14 +76,15 @@
           <tr tal:repeat="row info/normal"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td width="78%" tal:content="row/title"></td>
-            <td width="10%" tal:content="row/code"></td>
-            <td width="2%">S<span tal:content="row/semester" /></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/coe|nothing"></td>
+            <td width="72%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="14%" tal:content="row/coe|nothing"></td>
           </tr>
           <tr>
-            <th colspan="2" align="right">Total Credits:</th>
-            <td></td>
+            <td width="82%" colspan="2" align="right">Total Credits:</td>
+            <td width="2%">&nbsp;</td>
             <td width="2%" tal:content="info/credits_total"></td>
+            <td width="14%">&nbsp;</td>
           </tr>
         </table>
Index: WAeUP_SRP/base/skins/waeup_student/create_level.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/create_level.py	(revision 2488)
+++ WAeUP_SRP/base/skins/waeup_student/create_level.py	(revision 2489)
@@ -108,5 +108,5 @@
         d = context.getCourseInfo(co.CosCode)
         d['course_id'] = course_id
-        d['grade'] = co.GRADE
+        #d['grade'] = co.GRADE
         d['carry_over'] = carry_over
         # course_id = level.invokeFactory('StudentCourseResult',"%s_co" % course_id)
Index: WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 2488)
+++ WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 2489)
@@ -36,9 +36,9 @@
         <h4>Carryover Courses</h4>
         <br />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+        <table class="contentListing" width="100%" summary="content layout" id="folder_content" tal:condition="info/carry_overs">
           <tr tal:repeat="row info/carry_overs"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-                tal:condition="show_check_boxes">
+              
+            <td align="left" valign="middle" width="5%" tal:condition="show_check_boxes">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
                      tal:define="id row/id"
@@ -48,24 +48,25 @@
                      />
             </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td width="10%" tal:content="row/code"></td>
-            <td width="2%">S<span tal:content="row/semester" /></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/grade|string:"></td>
+            <td width="72%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="9%" tal:content="row/coe|nothing"></td>
           </tr>
         </table>
         </span> 
         <br />
+        
         <h4>Session Courses</h4>
         <br />
-      <div class="" tal:condition="not: info/normal">
-        Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!
-      </div>
-        <table class="contentListing" width="100%" id="folder_content"
-               tal:condition="info/normal">      
+        <div class="" tal:condition="not: info/normal">
+          Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!
+        </div>
+         
+         <table class="contentListing" width="100%" id="folder_content" tal:condition="info/normal">      
           <tr tal:repeat="row info/normal"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-	              tal:condition="show_check_boxes">
+              
+            <td align="left" valign="middle" width="5%" tal:condition="show_check_boxes">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
                      tal:define="id row/id"
@@ -75,15 +76,16 @@
                      />
             </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td width="10%" tal:content="row/code"></td>
-            <td width="2%">S<span tal:content="row/semester" /></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/coe|nothing"></td>
-          </tr>
-          <tr>
-            <td tal:condition="show_check_boxes" colspan="1"></td>
-            <td colspan="1"></td>
-            <th colspan="2">Total Credits:</th>
-            <td align="center" width="2%" tal:content="info/credits_total"></td>
+            <td width="72%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="9%" tal:content="row/coe|nothing"></td>
+          </tr>
+          <tr>
+            <td width="5%" tal:condition="show_check_boxes">&nbsp;</td>
+            <td width="82%" colspan="2" align="right">Total Credits:</td>
+            <td width="2%">&nbsp;</td>
+            <td width="2%" align="center" tal:content="info/credits_total"></td>
+            <td width="9%">&nbsp;</td>
           </tr>
         </table>
@@ -138,4 +140,8 @@
                 <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
                        class="context" value="Reject" />
+                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:external_study_level_view"/>                         
+                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                       tal:attributes="value string:external_contact_student_form"/>                           
 
             </td>
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2488)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2489)
@@ -55,5 +55,5 @@
                    />
           </td>
-          <td width="66%" tal:content="row/title"></td>
+          <td width="71%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
@@ -85,5 +85,5 @@
                    />
           </td>
-          <td width="66%" tal:content="row/title"></td>
+          <td width="71%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>