Index: WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2485)
+++ WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2496)
@@ -8,30 +8,4 @@
  <permission>Modify portal content</permission>
  <permission>View</permission>
- <state state_id="admission_applied" title="">
-  <exit-transition transition_id="create_content"/>
-  <exit-transition transition_id="pume_fail"/>
-  <exit-transition transition_id="pume_pass"/>
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
- <state state_id="admission_rejected" title="">
-  <exit-transition transition_id="finally_reject"/>
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
  <state state_id="admitted" title="">
   <exit-transition transition_id="create_content"/>
@@ -42,18 +16,4 @@
   <permission-map name="Modify portal content"
                   acquired="True">
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
- <state state_id="application_pin_entered" title="">
-  <exit-transition transition_id="apply_for_admission"/>
-  <exit-transition transition_id="create_content"/>
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="View" acquired="True">
@@ -124,4 +84,18 @@
   </permission-map>
  </state>
+ <state state_id="deactivated" title="">
+  <exit-transition transition_id="return"/>
+  <permission-map name="Delete objects" acquired="True">
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionOfficer</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="True">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+ </state>
  <state state_id="deferred" title="">
   <permission-map name="Delete objects" acquired="False">
@@ -132,17 +106,4 @@
   </permission-map>
   <permission-map name="View" acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
- <state state_id="finally_rejected" title="">
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>ClearanceOfficer</permission-role>
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
@@ -162,33 +123,7 @@
   </permission-map>
  </state>
- <state state_id="pume_failed" title="">
-  <exit-transition transition_id="reject_admission"/>
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
- <state state_id="pume_passed" title="">
-  <exit-transition transition_id="admit"/>
-  <exit-transition transition_id="reject_admission"/>
-  <permission-map name="Delete objects" acquired="False">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
  <state state_id="returning" title="">
   <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="deactivate"/>
   <exit-transition transition_id="pay_school_fee"/>
   <permission-map name="View" acquired="True">
@@ -228,18 +163,8 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
    <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="apply_for_admission" title=""
-             new_state="admission_applied" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>Owner</guard-role>
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
@@ -250,4 +175,5 @@
              trigger="USER" before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -260,4 +186,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
+  
   
   <guard>
@@ -273,4 +200,5 @@
              after_script="">
   
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -282,18 +210,19 @@
   <transition-behavior behavior_id="allow-sub-delete"/>
  </transition>
+ <transition transition_id="deactivate" title=""
+             new_state="deactivated" trigger="USER"
+             before_script="" after_script="">
+  
+  
+  <guard>
+   <guard-role>SectionOfficer</guard-role>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
  <transition transition_id="defer" title=""
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
   
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>Owner</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="enter_application_pin" title=""
-             new_state="application_pin_entered"
-             trigger="USER" before_script="" after_script="">
   
   <guard>
@@ -308,54 +237,22 @@
              trigger="USER" before_script="" after_script="">
   
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>Owner</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="finally_reject" title=""
-             new_state="finally_rejected" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
-
+  
+  <guard>
+   <guard-role>SectionOfficer</guard-role>
+   <guard-role>Owner</guard-role>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
  <transition transition_id="pay_school_fee" title=""
              new_state="school_fee_paid" trigger="USER"
              before_script="" after_script="">
   
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-   <guard-role>Owner</guard-role>
-   <guard-role>SectionOfficer</guard-role>
-  </guard>
- </transition>
- <transition transition_id="pume_fail" title=""
-             new_state="pume_failed" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="pume_pass" title=""
-             new_state="pume_passed" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
+   <guard-role>SectionOfficer</guard-role>
   </guard>
  </transition>
@@ -364,4 +261,5 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -376,4 +274,5 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -382,15 +281,4 @@
    <guard-role>Owner</guard-role>
    <guard-role>SectionOfficer</guard-role>
-  </guard>
- </transition>
- <transition transition_id="reject_admission" title=""
-             new_state="admission_rejected" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
   </guard>
  </transition>
@@ -399,4 +287,5 @@
              trigger="USER" before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -410,4 +299,5 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -421,4 +311,5 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -432,4 +323,5 @@
              before_script="" after_script="">
   
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -441,4 +333,5 @@
              new_state="courses_validated" trigger="USER"
              before_script="" after_script="">
+  
   
   <guard>
@@ -463,2 +356,5 @@
          filename="workflows/waeup_student_wf/scripts/open_application_personal.py"/>
 </cps-workflow>
+
+
+