Index: WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2499)
+++ WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2504)
@@ -24,4 +24,5 @@
   <object name="import" meta_type="CPS Layout"/>
   <object name="import_student" meta_type="CPS Layout"/>
+  <object name="add_student" meta_type="CPS Layout"/>
   <object name="members" meta_type="CPS Layout"/>
   <object name="members_search" meta_type="CPS Layout"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml	(revision 2504)
+++ WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml	(revision 2504)
@@ -0,0 +1,419 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="student_create" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+
+ <widget name="id" meta_type="String Widget">
+  <property name="title">Id</property>
+  <property name="fields">
+   <element value="id"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Id</property>
+  <property name="label_edit">Id</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="reg_transition" meta_type="String Widget">
+  <property name="title">Transition after import</property>
+  <property name="fields">
+   <element value="reg_transition"/>
+  </property>
+  <property name="label">Transition</property>
+  <property name="label_edit">Transition</property>
+  <property name="is_required">True</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="email" meta_type="Email Widget">
+  <property name="title">Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Email</property>
+  <property name="label_edit">Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="app_email" meta_type="Email Widget">
+  <property name="title">Application Email</property>
+  <property name="fields">
+   <element value="app_email"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Application Email</property>
+  <property name="label_edit">Application Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="phone" meta_type="String Widget">
+  <property name="title">Phone</property>
+  <property name="fields">
+   <element value="phone"/>
+  </property>
+  <property name="label">Phone</property>
+  <property name="label_edit">Phone</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+ </widget>
+ <widget name="perm_address" meta_type="String Widget">
+  <property name="title">Address</property>
+  <property name="fields">
+   <element value="perm_address"/>
+  </property>
+  <property name="label">Address</property>
+  <property name="label_edit">Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+<widget name="birthday" meta_type="DateTime Widget">
+ <property name="title">Birthday</property>
+ <property name="fields">
+  <element value="birthday"/>
+ </property>
+ <property name="label">Birthday</property>
+ <property name="label_edit">Birthday</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="view_format">%d/%m/%Y</property>
+ <property name="time_setting">False</property>
+ <property name="time_hour_default">00</property>
+</widget>
+  <widget name="entry_mode" meta_type="Select Widget">
+  <property name="title">Entry Mode</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Entry Mode</property>
+  <property name="label_edit">Entry Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget>
+  <widget name="current_mode" meta_type="Select Widget">
+  <property name="title">Current Mode</property>
+  <property name="fields">
+   <element value="current_mode"/>
+  </property>
+  <property name="label">Current Mode</property>
+  <property name="label_edit">Current Mode</property>
+  <property name="is_required">True</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget>
+ <widget name="current_session" meta_type="WAeUP Session Widget">
+  <property name="title">Current Session</property>
+  <property name="fields">
+   <element value="current_session"/>
+  </property>
+  <property name="label">Current Session</property>
+  <property name="label_edit">Current Session</property>
+  <property name="is_required">True</property>
+  <property name="description">The last session school fee has been paid for</property>
+  <property name="help">The last session school fee has been paid for</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">unset</property>
+  <property name="sorted">True</property>
+ </widget>
+ <widget name="current_level" meta_type="WAeUP Level Widget">
+  <property name="title">Current Level</property>
+  <property name="fields">
+   <element value="current_level"/>
+  </property>
+  <property name="label">Current Level</property>
+  <property name="label_edit">Current Level</property>
+  <property name="is_required">True</property>
+  <property name="description">The last level school fee has been paid for</property>
+  <property name="help">The last level school fee has been paid for</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">unset</property>
+  <property name="sorted">True</property>
+ </widget>
+ <widget name="current_verdict" meta_type="WAeUP Verdict Widget">
+  <property name="title">Current Verdict</property>
+  <property name="fields">
+   <element value="current_verdict"/>
+  </property>
+  <property name="label">Current Verdict</property>
+  <property name="label_edit">Current Verdict</property>
+  <property name="description">The verdict of the current level</property>
+  <property name="help">The verdict of the current level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">verdicts</property>
+  <property name="sorted">True</property>
+ </widget>
+ <widget name="previous_verdict" meta_type="WAeUP Verdict Widget">
+  <property name="title">Previous Verdict</property>
+  <property name="fields">
+   <element value="previous_verdict"/>
+  </property>
+  <property name="label">Previous Verdict</property>
+  <property name="label_edit">Previous Verdict</property>
+  <property name="description">The verdict of the previous level</property>
+  <property name="help">The verdict of the previous level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">verdicts</property>
+  <property name="sorted">True</property>
+ </widget>
+ <widget name="entry_session" meta_type="WAeUP Session Widget">
+  <property name="title">Entry Session</property>
+  <property name="fields">
+   <element value="entry_session"/>
+  </property>
+  <property name="label">Entry Session</property>
+  <property name="label_edit">Entry Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">unset</property>
+  <property name="sorted">True</property>
+ </widget>
+ <widget name="jamb_reg_no" meta_type="String Widget">
+  <property name="title">JAMB Registration No</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">JAMB Registration No</property>
+  <property name="label_edit">JAMB Registration No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget>
+
+ <widget name="jamb_score" meta_type="String Widget">
+  <property name="title">JAMB Score</property>
+  <property name="fields">
+   <element value="jamb_score"/>
+  </property>
+  <property name="label">JAMB Score</property>
+  <property name="label_edit">JAMB Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">3</property>
+ </widget>
+
+ <widget name="jamb_age" meta_type="String Widget">
+  <property name="title">JAMB Age</property>
+  <property name="fields">
+   <element value="jamb_age"/>
+  </property>
+  <property name="label">JAMB Age</property>
+  <property name="label_edit">JAMB Age</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+      edit
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_lga" meta_type="String Widget">
+  <property name="title">JAMB LGA</property>
+  <property name="fields">
+   <element value="jamb_lga"/>
+  </property>
+  <property name="label">JAMB LGA</property>
+  <property name="label_edit">JAMB LGA</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+  <widget name="jamb_state" meta_type="String Widget">
+  <property name="title">JAMB State</property>
+  <property name="fields">
+   <element value="jamb_state"/>
+  </property>
+  <property name="label">JAMB State</property>
+  <property name="label_edit">JAMB State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="lga" meta_type="WAeUP LGA Widget">
+  <property name="title">LGA</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">LGA</property>
+  <property name="label_edit">LGA</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+      edit
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+  <widget name="state" meta_type="WAeUP LGA Widget">
+  <property name="title">State</property>
+  <property name="fields">
+   <element value="state"/>
+  </property>
+  <property name="label">State</property>
+  <property name="label_edit">State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+      edit
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="matric_no" meta_type="String Widget">
+  <property name="title">Matriculation No</property>
+  <property name="fields">
+   <element value="matric_no"/>
+  </property>
+  <property name="label">Matriculation No</property>
+  <property name="label_edit">Matriculation No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget>
+ <widget name="sex" meta_type="WAeUP Sex Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="is_required">True</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
+ </widget>
+ <widget name="study_course" meta_type="StudyCourse Widget">
+  <property name="title">Study Course Code</property>
+  <property name="fields">
+   <element value="study_course"/>
+  </property>
+  <property name="label">Study Course Code</property>
+  <property name="label_edit">Study Course Code</property>
+  <property name="is_required">True</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>
+  <row>
+   <cell name="sex"/>
+  </row>
+  <row>
+   <cell name="email"/>
+  </row>
+  <row>
+   <cell name="phone"/>
+  </row>
+  <row>
+   <cell name="entry_mode"/>
+  </row>
+  <row>
+   <cell name="current_mode"/>
+  </row>
+  <row>
+   <cell name="entry_session"/>
+  </row>
+  <row>
+   <cell name="current_session"/>
+  </row>
+  <row>
+   <cell name="current_level"/>
+  </row>
+  <row>
+   <cell name="current_verdict"/>
+  </row>
+  <row>
+   <cell name="previous_verdict"/>
+  </row>
+  <row>
+   <cell name="jamb_reg_no"/>
+  </row>
+  <row>
+   <cell name="jamb_score"/>
+  </row>
+  <row>
+   <cell name="matric_no"/>
+  </row>
+  <row>
+   <cell name="study_course"/>
+  </row>
+
+ </table>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2499)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2504)
@@ -9,4 +9,24 @@
   <property name="validate_values_expr"></property>
 
+  <widget name="jamb_age" meta_type="String Widget">
+    <property name="title">Age</property>
+    <property name="fields">
+      <element value="jamb_age"/>
+    </property>
+    <property name="label">Age</property>
+    <property name="label_edit">Age</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
   <widget name="date_of_birth" meta_type="DateTime Widget">
     <property name="title">Date of Birth</property>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml	(revision 2499)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml	(revision 2504)
@@ -12,5 +12,5 @@
   <property name="title">Id</property>
   <property name="fields">
-   <element value="email"/>
+   <element value="id"/>
   </property>
   <property name="is_required">False</property>
@@ -49,5 +49,5 @@
   <property name="title">Application Email</property>
   <property name="fields">
-   <element value="email"/>
+   <element value="app_email"/>
   </property>
   <property name="is_required">False</property>
@@ -217,5 +217,5 @@
   <property name="vocabulary">verdicts</property>
   <property name="sorted">True</property>
- </widget> 
+ </widget>
  <widget name="entry_session" meta_type="WAeUP Session Widget">
   <property name="title">Entry Session</property>
@@ -363,57 +363,3 @@
   <property name="display_width">10</property>
  </widget>
- <table>
-  <row>
-   <cell name="firstname"/>
-  </row>
-  <row>
-   <cell name="middlename"/>
-  </row>
-  <row>
-   <cell name="lastname"/>
-  </row>
-  <row>
-   <cell name="sex"/>
-  </row>
-  <row>
-   <cell name="email"/>
-  </row>
-  <row>
-   <cell name="phone"/>
-  </row>
-  <row>
-   <cell name="entry_mode"/>
-  </row>
-  <row>
-   <cell name="current_mode"/>
-  </row>
-  <row>
-   <cell name="entry_session"/>
-  </row>
-  <row>
-   <cell name="current_session"/>
-  </row>
-  <row>
-   <cell name="current_level"/>
-  </row>
-  <row>
-   <cell name="current_verdict"/>
-  </row>
-  <row>
-   <cell name="previous_verdict"/>
-  </row>  
-  <row>
-   <cell name="jamb_reg_no"/>
-  </row>
-  <row>
-   <cell name="jamb_score"/>
-  </row>
-  <row>
-   <cell name="matric_no"/>
-  </row>
-  <row>
-   <cell name="study_course"/>
-  </row>
-
- </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2499)
+++ WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2504)
@@ -26,4 +26,5 @@
  <object name="import" meta_type="CPS Schema"/>
  <object name="import_student" meta_type="CPS Schema"/>
+ <object name="add_student" meta_type="CPS Schema"/> 
  <object name="import_student_level_data" meta_type="CPS Schema"/>
  <object name="import_student_course_results" meta_type="CPS Schema"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/add_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/add_student.xml	(revision 2504)
+++ WAeUP_SRP/uniben/profiles/default/schemas/add_student.xml	(revision 2504)
@@ -0,0 +1,33 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="add_student" meta_type="CPS Schema">
+ <field name="id" meta_type="CPS String Field"/>
+ <field name="reg_transition" meta_type="CPS String Field"/>
+ <field name="firstname" meta_type="CPS String Field"/>
+ <field name="middlename" meta_type="CPS String Field"/>
+ <field name="lastname" meta_type="CPS String Field"/>
+ <field name="sex" meta_type="CPS String Field"/>
+ <field name="birthday" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="jamb_reg_no" meta_type="CPS String Field"/>
+ <field name="entry_mode" meta_type="CPS String Field"/>
+ <field name="entry_session" meta_type="CPS String Field"/>
+ <field name="jamb_score" meta_type="CPS Int Field"/>
+ <field name="jamb_age" meta_type="CPS String Field"/>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="jamb_state" meta_type="CPS String Field"/>
+ <field name="lga" meta_type="CPS String Field"/>
+ <field name="state" meta_type="CPS String Field"/>
+ <field name="study_course" meta_type="CPS String Field"/>
+ <field name="nationality" meta_type="CPS String Field"/>
+ <field name="lga" meta_type="CPS String Field"/>
+ <field name="phone" meta_type="CPS String Field"/>
+ <field name="email" meta_type="CPS String Field"/>
+ <field name="app_email" meta_type="CPS String Field"/>
+ <field name="current_level" meta_type="CPS String Field"/>
+ <field name="current_session" meta_type="CPS String Field"/>
+ <field name="current_verdict" meta_type="CPS String Field"/>
+ <field name="previous_verdict" meta_type="CPS String Field"/>
+ <field name="current_mode" meta_type="CPS String Field"/>
+ <field name="perm_address" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 2499)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 2504)
@@ -15,4 +15,6 @@
  <field name="jamb_score" meta_type="CPS Int Field"/>
  <field name="jamb_age" meta_type="CPS String Field"/>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="jamb_state" meta_type="CPS String Field"/>
  <field name="lga" meta_type="CPS String Field"/>
  <field name="state" meta_type="CPS String Field"/>