Index: WAeUP_SRP/uniben/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2504)
+++ WAeUP_SRP/uniben/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2505)
@@ -13,4 +13,6 @@
   <exit-transition transition_id="raise_objection"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -26,4 +28,6 @@
   <exit-transition transition_id="request_clearance"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -41,4 +45,6 @@
   <exit-transition transition_id="reject_clearance"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -58,4 +64,6 @@
   <exit-transition transition_id="reject_clearance"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -72,4 +80,11 @@
   <exit-transition transition_id="reject_courses"/>
   <exit-transition transition_id="validate_courses"/>
+  <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+  </permission-map>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -79,4 +94,11 @@
  <state state_id="courses_validated" title="">
   <exit-transition transition_id="reject_courses"/>
+  <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+  </permission-map>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -87,4 +109,7 @@
   <exit-transition transition_id="return"/>
   <permission-map name="Delete objects" acquired="True">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -100,4 +125,6 @@
  <state state_id="deferred" title="">
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -113,4 +140,6 @@
   <exit-transition transition_id="create_content"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -127,4 +156,11 @@
   <exit-transition transition_id="deactivate"/>
   <exit-transition transition_id="pay_school_fee"/>
+  <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+  </permission-map>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -135,4 +171,11 @@
   <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="register_courses"/>
+  <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+  </permission-map>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -149,4 +192,6 @@
   <exit-transition transition_id="return"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="Modify portal content"
@@ -356,5 +401,2 @@
          filename="workflows/waeup_student_wf/scripts/open_application_personal.py"/>
 </cps-workflow>
-
-
-