Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 2513)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 2514)
@@ -633,4 +633,82 @@
 ###)
 
+    security.declarePublic('admitOneStudent') ###(
+    def admitOneStudent(self,brain):
+        "create Datastructure for an admitted Student"
+        #import pdb;pdb.set_trace()
+        students_folder = self.portal_url.getPortalObject().campus.students
+        logger = logging.getLogger('WAeUPTool.admitStudent')
+        if brain.status != "admitted":
+            logger.info('status of %s is %s' % (brain.reg_no,brain.status))
+        pin_parts = brain.pin.split('-')
+        if len(pin_parts) != 3:
+            logger.info('invalid pin %s for %s' % (brain.pin,brain.reg_no))
+        student_id = self.generateStudentId(letter)
+        students_folder.invokeFactory('Student', student_id)
+        student_object = getattr(students_folder,student_id)
+        password = pin_parts[2]
+        self.makeStudentMember(student_id,password = password)
+        student.manage_setLocalRoles(sid, ['Owner',])
+        logger.info("creating %s reg_no %s" % (student_id,brain.reg_no))
+        #
+        # application
+        #
+        student_obj.invokeFactory('StudentApplication','application')
+        application = student_obj.application
+        self.portal_workflow.doActionFor(application,'open',dest_container=application)
+        da = {'Title': 'Application Data'}
+        da['jamb_reg_no'] = brain.reg_no
+        da['entry_mode'] = brain.entry_mode
+        da['jamb_lastname'] = brain.lastname
+        da['jamb_sex'] = brain.sex
+        da['jamb_lga'] = brain.lga
+        da['app_email'] = brain.email
+        da['app_mobile'] = brain.phone_nr
+        application.getContent().edit(mapping=da)
+        self.portal_workflow.doActionFor(application,'close',dest_container=application)
+        #
+        # personal
+        #
+        student_obj.invokeFactory('StudentPersonal','personal')
+        personal = student_obj.personal
+        self.portal_workflow.doActionFor(personal,'open',dest_container=personal)
+        dp = {'Title': 'Personal Data'}
+        dp['sex'] = brain.sex
+        dp['email'] = brain.email
+        dp['phone'] = brain.phone_nr
+        dp['lastname'] = brain.lastname
+        personal.getContent().edit(mapping=dp)
+        #
+        # clearance
+        #
+        student_obj.invokeFactory('StudentClearance','clearance')
+        clearance = student_obj.clearance
+        self.portal_workflow.doActionFor(clearance,'open',dest_container=clearance)
+        dc = {'Title': 'Clearance/Eligibility Record'}
+        dc['lga'] = brain.lga
+        clearance.getContent().edit(mapping=dc)
+        self.portal_workflow.doActionFor(clearance,'close',dest_container=clearance)
+        #
+        # study Course
+        #
+        student_obj.invokeFactory('StudentStudyCourse','study_course')
+        studycourse = student_obj.study_course
+        self.portal_workflow.doActionFor(studycourse,'open',dest_container=studycourse)
+        dsc = {}
+        dsc['study_course'] = brain.course_admitted
+        dsc['current_verdict'] = ''
+        dsc['current_mode'] = brain.entry_mode
+        studycourse.getContent().edit(mapping=dsc)
+        #
+        # payments folder
+        student_obj.invokeFactory('PaymentsFolder','payments')
+        payments = getattr(student_obj,'payments')
+        dpay = {}
+        dpay['Title'] = 'Payments'
+        payments.getContent().edit(mapping=dpay)
+        wftool.doActionFor(payments,'open')
+        return student_id
+    ###)
+
     security.declarePublic('makeStudentLevel') ###(
     def makeStudentLevel(self,student_id):
@@ -1132,4 +1210,25 @@
         c.getContent().edit(mapping=mapping)
         return certificate_id,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_create_applicant') ###(
+    def mass_create_applicant(self,mapping):
+        #import pdb;pdb.set_trace()
+        try:
+            self.applicants_catalog.addRecord(**mapping)
+        except ValueError:
+            return '', "applicant already exists: %s" % mapping.get('reg_no')
+        return key,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_edit_applicant') ###(
+    def mass_edit_applicant(self,mapping):
+        #import pdb;pdb.set_trace()
+        reg_no = mapping.get('reg_no')
+        try:
+            self.applicants_catalog.modifyRecord(**mapping)
+        except KeyError:
+            return '', "applicant does not exists: %s" % reg_no
+        return reg_no,''
     ###)
 
@@ -1527,5 +1626,4 @@
                                      for id,widget in layout.objectItems()
                                      if widget.is_required]
-                    #import pdb;pdb.set_trace()
                     if not set(required_keys).issubset(set(import_keys)):
                         diff2import = set(required_keys).difference(set(import_keys))
Index: /WAeUP_SRP/base/skins/waeup_utilities/moveCourseResults.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/moveCourseResults.py	(revision 2513)
+++ /WAeUP_SRP/base/skins/waeup_utilities/moveCourseResults.py	(revision 2514)
@@ -47,8 +47,8 @@
 cocount = 0
 commit_after = 20
+moved_sids = context.course_results.uniqueValuesFor('student_id')
 for brain in brains:
     count += 1    
-    already_moved = aq_results(Eq('student_id',brain.id))
-    if len(already_moved) > 0:
+    if brain.id in moved_sids:
         continue
     try:
@@ -71,7 +71,7 @@
             context.waeup_tool.doCommit()
             logger.info("Committing %s transactions, total %s" % (commit_after,count))
-            #cocount += 1
-            #if cocount > 3:
-            #    break
+            cocount += 1
+            if cocount > 2:
+                break
 
 msg = "finished moving results of %d students" % (moved)
Index: /WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2513)
+++ /WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2514)
@@ -16,4 +16,5 @@
   <object name="import_certificate_course" meta_type="CPS Layout"/>
   <object name="course" meta_type="CPS Layout"/>
+  <object name="import_applicant" meta_type="CPS Layout"/>
   <object name="import_course" meta_type="CPS Layout"/>
   <object name="import_course_result" meta_type="CPS Layout"/>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_applicant.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_applicant.xml	(revision 2514)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_applicant.xml	(revision 2514)
@@ -0,0 +1,666 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="application_pce" meta_type="CPS Layout">
+  <property name="layout_create_method"></property>
+  <property name="layout_edit_method"></property>
+  <property name="layout_view_method"></property>
+  <property name="style_prefix">layout_apply_admission_</property>
+  <property name="flexible_widgets"/>
+  <property name="validate_values_expr"></property>
+
+  <widget name="student_id" meta_type="String Widget">
+    <property name="title">Student Id</property>
+    <property name="fields">
+      <element value="student_id"/>
+    </property>
+    <property name="label">Student Id</property>
+    <property name="label_edit">Student Id</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+  <widget name="screening_score" meta_type="String Widget">
+    <property name="title">Score</property>
+    <property name="fields">
+      <element value="screening_score"/>
+    </property>
+    <property name="label">Score</property>
+    <property name="label_edit">Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+  <widget name="notice" meta_type="Text Widget">
+    <property name="title">Notice</property>
+    <property name="fields">
+      <element value="notice"/>
+    </property>
+    <property name="label">Notice</property>
+    <property name="label_edit">Notice</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+  <widget name="jamb_age" meta_type="String Widget">
+    <property name="title">Age</property>
+    <property name="fields">
+      <element value="jamb_age"/>
+    </property>
+    <property name="label">Age</property>
+    <property name="label_edit">Age</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="date_of_birth" meta_type="DateTime Widget">
+    <property name="title">Date of Birth</property>
+    <property name="fields">
+      <element value="date_of_birth"/>
+    </property>
+    <property name="label">Date of Birth</property>
+    <property name="label_edit">Date of Birth</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="department" meta_type="String Widget">
+    <property name="title">Department</property>
+    <property name="fields">
+      <element value="department"/>
+    </property>
+    <property name="label">Department</property>
+    <property name="label_edit">Department</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="email" meta_type="Email Widget">
+    <property name="title">Email</property>
+    <property name="fields">
+      <element value="email"/>
+    </property>
+    <property name="label">Email</property>
+    <property name="label_edit">Email</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="entry_mode" meta_type="String Widget">
+    <property name="title">Entry Mode</property>
+    <property name="fields">
+      <element value="entry_mode"/>
+    </property>
+    <property name="label">Entry Mode</property>
+    <property name="label_edit">Entry Mode</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="faculty" meta_type="String Widget">
+    <property name="title">Faculty</property>
+    <property name="fields">
+      <element value="faculty"/>
+    </property>
+    <property name="label">Faculty</property>
+    <property name="label_edit">Faculty</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="firstname" meta_type="String Widget">
+    <property name="title">Firstname</property>
+    <property name="fields">
+      <element value="firstname"/>
+    </property>
+    <property name="label">Firstname</property>
+    <property name="label_edit">Firstname</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="aggregate" meta_type="Int Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="aggregate"/>
+    </property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="eng_score" meta_type="Int Widget">
+    <property name="title">English Score</property>
+    <property name="fields">
+      <element value="eng_score"/>
+    </property>
+    <property name="label">'English' Score</property>
+    <property name="label_edit">'English' Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj1" meta_type="Select Widget">
+    <property name="title">Subject 1</property>
+    <property name="fields">
+      <element value="subj1"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">jamb_subjects</property>
+  </widget>
+  <widget name="subj1score" meta_type="Int Widget">
+    <property name="title">Subject 1 Score</property>
+    <property name="fields">
+      <element value="subj1score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj2" meta_type="Select Widget">
+    <property name="title">Subject 2</property>
+    <property name="fields">
+      <element value="subj2"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">jamb_subjects</property>
+  </widget>
+  <widget name="subj2score" meta_type="Int Widget">
+    <property name="title">Subject 2 Score</property>
+    <property name="fields">
+      <element value="subj2score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj3" meta_type="Select Widget">
+    <property name="title">Subject 3</property>
+    <property name="fields">
+      <element value="subj3"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit">label field</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">jamb_subjects</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="subj3score" meta_type="Int Widget">
+    <property name="title">Subject 3 Score</property>
+    <property name="fields">
+      <element value="subj3score"/>
+    </property>
+    <property name="label"></property>
+    <property name="label_edit"></property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="lastname" meta_type="String Widget">
+    <property name="title">Name</property>
+    <property name="fields">
+      <element value="lastname"/>
+    </property>
+    <property name="label">Name</property>
+    <property name="label_edit">Name</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="lga" meta_type="WAeUP LGA Widget">
+    <property name="title">LGA</property>
+    <property name="fields">
+      <element value="lga"/>
+    </property>
+    <property name="label">LGA</property>
+    <property name="label_edit">LGA</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="middlenames" meta_type="String Widget">
+    <property name="title">Middlenames</property>
+    <property name="fields">
+      <element value="middlenames"/>
+    </property>
+    <property name="label">Middlenames</property>
+    <property name="label_edit">Middlenames</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="phone" meta_type="String Widget">
+    <property name="title">Phone</property>
+    <property name="fields">
+      <element value="phone"/>
+    </property>
+    <property name="label">Phone</property>
+    <property name="label_edit">Phone</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="pin" meta_type="Pume Pin Widget">
+    <property name="title">Access Code</property>
+    <property name="fields">
+      <element value="pin"/>
+    </property>
+    <property name="label">Access Code</property>
+    <property name="label_edit">Access Code</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="prefix">APP</property>
+    <property name="reference">reg_no</property>
+  </widget>
+  <widget name="application_date" meta_type="DateTime Widget">
+    <property name="title">Application Date</property>
+    <property name="fields">
+      <element value="application_date"/>
+    </property>
+    <property name="label">Application Date</property>
+    <property name="label_edit">Application Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%A, %B %d, %Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="screening_date" meta_type="DateTime Widget">
+    <property name="title">Screening Date</property>
+    <property name="fields">
+      <element value="screening_date"/>
+    </property>
+    <property name="label">Screening Date</property>
+    <property name="label_edit">Screening Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%A, %B %d, %Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="screening_type" meta_type="Select Widget">
+    <property name="title">Screening Type</property>
+    <property name="fields">
+      <element value="screening_type"/>
+    </property>
+    <property name="label">Screening Type</property>
+    <property name="label_edit">Screening Type</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="vocabulary">screening_types</property>
+  </widget>
+  <widget name="reg_no" meta_type="JambRegNo Widget">
+    <property name="title">JAMB Registration Number</property>
+    <property name="fields">
+      <element value="reg_no"/>
+    </property>
+    <property name="label">JAMB Registration Number</property>
+    <property name="label_edit">JAMB Registration Number</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+    <property name="display_width">13</property>
+    <property name="size_max">13</property>
+    <property name="reference">reg_no</property>
+    <property name="catalog">applicants_catalog</property>
+  </widget>
+  <widget name="sex" meta_type="WAeUP Sex Widget">
+    <property name="title">Sex</property>
+    <property name="fields">
+      <element value="sex"/>
+    </property>
+    <property name="label">Sex</property>
+    <property name="label_edit">Sex</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="state" meta_type="WAeUP LGA Widget">
+    <property name="title">State</property>
+    <property name="fields">
+      <element value="lga"/>
+    </property>
+    <property name="label">State</property>
+    <property name="label_edit">State</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="status" meta_type="String Widget">
+    <property name="title">Application Status</property>
+    <property name="fields">
+      <element value="status"/>
+    </property>
+    <property name="label">Application Status</property>
+    <property name="label_edit">Application Status</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course1" meta_type="Select Widget">
+    <property name="title">1st Choice Course of Study</property>
+    <property name="fields">
+      <element value="course1"/>
+    </property>
+    <property name="label">1st Choice Course of Study</property>
+    <property name="label_edit">1st Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course2" meta_type="Select Widget">
+    <property name="title">2nd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course2"/>
+    </property>
+    <property name="label">2nd Choice Course of Study</property>
+    <property name="label_edit">2nd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course3" meta_type="Select Widget">
+    <property name="title">3rd Choice Course of Study</property>
+    <property name="fields">
+      <element value="course3"/>
+    </property>
+    <property name="label">3rd Choice Course of Study</property>
+    <property name="label_edit">3rd Choice Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="course_admitted" meta_type="String Widget">
+    <property name="title">Course of Study</property>
+    <property name="fields">
+      <element value="course_admitted"/>
+    </property>
+    <property name="label">Course of Study</property>
+    <property name="label_edit">Course of Study</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+</object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2513)
+++ /WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2514)
@@ -12,4 +12,5 @@
  <object name="certificate_course" meta_type="CPS Schema"/>
  <object name="import_certificate_course" meta_type="CPS Schema"/>
+ <object name="import_applicant" meta_type="CPS Schema"/>
  <object name="import_course" meta_type="CPS Schema"/>
  <object name="import_course_result" meta_type="CPS Schema"/>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/import_applicant.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/import_applicant.xml	(revision 2514)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/import_applicant.xml	(revision 2514)
@@ -0,0 +1,45 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="application" meta_type="CPS Schema">
+ <field name="course1" meta_type="CPS String Field"/>
+ <field name="course2" meta_type="CPS String Field"/>
+ <field name="course3" meta_type="CPS String Field"/>
+ <field name="course_admitted" meta_type="CPS String Field"/>
+ <field name="entry_mode" meta_type="CPS String Field"/>
+ <field name="department" meta_type="CPS String Field"/>
+ <field name="faculty" meta_type="CPS String Field"/>
+ <field name="firstname" meta_type="CPS String Field"/>
+ <field name="eng_score" meta_type="CPS Int Field"/>
+ <field name="subj1" meta_type="CPS Int Field"/>
+ <field name="subj1score" meta_type="CPS Int Field"/>
+ <field name="subj2" meta_type="CPS Int Field"/>
+ <field name="subj2score" meta_type="CPS Int Field"/>
+ <field name="subj3" meta_type="CPS Int Field"/>
+ <field name="subj3score" meta_type="CPS Int Field"/>
+ <field name="aggregate" meta_type="CPS Int Field"/>
+ <field name="lastname" meta_type="CPS String Field"/>
+ <field name="middlenames" meta_type="CPS String Field"/>
+ <field name="email" meta_type="CPS String Field"/>
+ <field name="phone" meta_type="CPS String Field"/>
+ <field name="pin" meta_type="CPS String Field"/>
+ <field name="reg_no" meta_type="CPS String Field"/>
+ <field name="date_of_birth" meta_type="CPS DateTime Field"/>
+ <field name="jamb_age" meta_type="CPS String Field"/>
+ <field name="jamb_state" meta_type="CPS String Field"/>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="application_date" meta_type="CPS DateTime Field"/>
+ <field name="sex" meta_type="CPS Boolean Field"/>
+ <field name="state" meta_type="CPS String Field"/>
+ <field name="lga" meta_type="CPS String Field"/>
+ <field name="screening_date" meta_type="CPS DateTime Field"/>
+ <field name="screening_type" meta_type="CPS String Field"/>
+ <field name="passport" meta_type="CPS String Field"/>
+ <field name="status" meta_type="CPS String Field"/>
+  <field name="hq_type" meta_type="CPS String Field"/>
+ <field name="hq_grade" meta_type="CPS String Field"/>
+ <field name="screening_venue" meta_type="CPS String Field"/>
+ <field name="aos" meta_type="CPS String Field"/>
+ <field name="screening_score" meta_type="CPS String Field"/>
+ <field name="notice" meta_type="CPS String Field"/>
+ <field name="student_id" meta_type="CPS String Field"/>
+</object>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2513)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2514)
@@ -13,4 +13,4 @@
  <item key="certificate" msgid="">Certificate Data</item>
  <item key="certificate_course" msgid="">Certificate Course Data</item>
- <item key="application" msgid="">Application Data</item>
+ <item key="applicant" msgid="">Application Data</item>
 </object>