Index: WAeUP_SRP/uniben/profiles/default/schemas/application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/application.xml	(revision 2514)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
-<object name="application" meta_type="CPS Schema">
- <field name="course1" meta_type="CPS String Field"/>
- <field name="course2" meta_type="CPS String Field"/>
- <field name="course3" meta_type="CPS String Field"/>
- <field name="course_admitted" meta_type="CPS String Field"/>
- <field name="entry_mode" meta_type="CPS String Field"/>
- <field name="department" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="firstname" meta_type="CPS String Field"/>
- <field name="eng_score" meta_type="CPS Int Field"/>
- <field name="subj1" meta_type="CPS Int Field"/>
- <field name="subj1score" meta_type="CPS Int Field"/>
- <field name="subj2" meta_type="CPS Int Field"/>
- <field name="subj2score" meta_type="CPS Int Field"/>
- <field name="subj3" meta_type="CPS Int Field"/>
- <field name="subj3score" meta_type="CPS Int Field"/>
- <field name="aggregate" meta_type="CPS Int Field"/>
- <field name="lastname" meta_type="CPS String Field"/>
- <field name="middlenames" meta_type="CPS String Field"/>
- <field name="email" meta_type="CPS String Field"/>
- <field name="phone" meta_type="CPS String Field"/>
- <field name="pin" meta_type="CPS String Field"/>
- <field name="reg_no" meta_type="CPS String Field"/>
- <field name="date_of_birth" meta_type="CPS DateTime Field"/>
- <field name="jamb_age" meta_type="CPS String Field"/>
- <field name="jamb_state" meta_type="CPS String Field"/>
- <field name="jamb_lga" meta_type="CPS String Field"/>
- <field name="application_date" meta_type="CPS DateTime Field"/>
- <field name="sex" meta_type="CPS Boolean Field"/>
- <field name="lga" meta_type="CPS String Field"/>
- <field name="screening_date" meta_type="CPS DateTime Field"/>
- <field name="screening_type" meta_type="CPS String Field"/>
- <field name="passport" meta_type="CPS String Field"/>
- <field name="status" meta_type="CPS String Field"/>
-  <field name="hq_type" meta_type="CPS String Field"/>
- <field name="hq_grade" meta_type="CPS String Field"/>
- <field name="screening_venue" meta_type="CPS String Field"/>
- <field name="aos" meta_type="CPS String Field"/>
- <field name="screening_score" meta_type="CPS String Field"/>
- <field name="notice" meta_type="CPS String Field"/>
- <field name="student_id" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_applicant.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_applicant.xml	(revision 2514)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
-<object name="application" meta_type="CPS Schema">
- <field name="course1" meta_type="CPS String Field"/>
- <field name="course2" meta_type="CPS String Field"/>
- <field name="course3" meta_type="CPS String Field"/>
- <field name="course_admitted" meta_type="CPS String Field"/>
- <field name="entry_mode" meta_type="CPS String Field"/>
- <field name="department" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="firstname" meta_type="CPS String Field"/>
- <field name="eng_score" meta_type="CPS Int Field"/>
- <field name="subj1" meta_type="CPS Int Field"/>
- <field name="subj1score" meta_type="CPS Int Field"/>
- <field name="subj2" meta_type="CPS Int Field"/>
- <field name="subj2score" meta_type="CPS Int Field"/>
- <field name="subj3" meta_type="CPS Int Field"/>
- <field name="subj3score" meta_type="CPS Int Field"/>
- <field name="aggregate" meta_type="CPS Int Field"/>
- <field name="lastname" meta_type="CPS String Field"/>
- <field name="middlenames" meta_type="CPS String Field"/>
- <field name="email" meta_type="CPS String Field"/>
- <field name="phone" meta_type="CPS String Field"/>
- <field name="pin" meta_type="CPS String Field"/>
- <field name="reg_no" meta_type="CPS String Field"/>
- <field name="date_of_birth" meta_type="CPS DateTime Field"/>
- <field name="jamb_age" meta_type="CPS String Field"/>
- <field name="jamb_state" meta_type="CPS String Field"/>
- <field name="jamb_lga" meta_type="CPS String Field"/>
- <field name="application_date" meta_type="CPS DateTime Field"/>
- <field name="sex" meta_type="CPS Boolean Field"/>
- <field name="state" meta_type="CPS String Field"/>
- <field name="lga" meta_type="CPS String Field"/>
- <field name="screening_date" meta_type="CPS DateTime Field"/>
- <field name="screening_type" meta_type="CPS String Field"/>
- <field name="passport" meta_type="CPS String Field"/>
- <field name="status" meta_type="CPS String Field"/>
-  <field name="hq_type" meta_type="CPS String Field"/>
- <field name="hq_grade" meta_type="CPS String Field"/>
- <field name="screening_venue" meta_type="CPS String Field"/>
- <field name="aos" meta_type="CPS String Field"/>
- <field name="screening_score" meta_type="CPS String Field"/>
- <field name="notice" meta_type="CPS String Field"/>
- <field name="student_id" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_application.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_application.xml	(revision 2517)
@@ -0,0 +1,44 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="import_application" meta_type="CPS Schema">
+ <field name="course1" meta_type="CPS String Field"/>
+ <field name="course2" meta_type="CPS String Field"/>
+ <field name="course3" meta_type="CPS String Field"/>
+ <field name="course_admitted" meta_type="CPS String Field"/>
+ <field name="entry_mode" meta_type="CPS String Field"/>
+ <field name="department" meta_type="CPS String Field"/>
+ <field name="faculty" meta_type="CPS String Field"/>
+ <field name="firstname" meta_type="CPS String Field"/>
+ <field name="eng_score" meta_type="CPS Int Field"/>
+ <field name="subj1" meta_type="CPS Int Field"/>
+ <field name="subj1score" meta_type="CPS Int Field"/>
+ <field name="subj2" meta_type="CPS Int Field"/>
+ <field name="subj2score" meta_type="CPS Int Field"/>
+ <field name="subj3" meta_type="CPS Int Field"/>
+ <field name="subj3score" meta_type="CPS Int Field"/>
+ <field name="aggregate" meta_type="CPS Int Field"/>
+ <field name="lastname" meta_type="CPS String Field"/>
+ <field name="middlenames" meta_type="CPS String Field"/>
+ <field name="email" meta_type="CPS String Field"/>
+ <field name="phone" meta_type="CPS String Field"/>
+ <field name="pin" meta_type="CPS String Field"/>
+ <field name="reg_no" meta_type="CPS String Field"/>
+ <field name="date_of_birth" meta_type="CPS DateTime Field"/>
+ <field name="jamb_age" meta_type="CPS String Field"/>
+ <field name="jamb_state" meta_type="CPS String Field"/>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="application_date" meta_type="CPS DateTime Field"/>
+ <field name="sex" meta_type="CPS Boolean Field"/>
+ <field name="lga" meta_type="CPS String Field"/>
+ <field name="screening_date" meta_type="CPS DateTime Field"/>
+ <field name="screening_type" meta_type="CPS String Field"/>
+ <field name="passport" meta_type="CPS String Field"/>
+ <field name="status" meta_type="CPS String Field"/>
+  <field name="hq_type" meta_type="CPS String Field"/>
+ <field name="hq_grade" meta_type="CPS String Field"/>
+ <field name="screening_venue" meta_type="CPS String Field"/>
+ <field name="aos" meta_type="CPS String Field"/>
+ <field name="screening_score" meta_type="CPS String Field"/>
+ <field name="notice" meta_type="CPS String Field"/>
+ <field name="student_id" meta_type="CPS String Field"/>
+</object>